> ## Documentation Index
> Fetch the complete documentation index at: https://docs.runaether.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Probe how a remote MCP server authenticates

> Sends one MCP request to the URL and, on 401, discovers its OAuth protected-resource and authorization-server metadata. Only public https addresses are probed.



## OpenAPI

````yaml api-reference/openapi.v1.json POST /mcp-servers/probe
openapi: 3.1.0
info:
  title: Aether Public API
  version: 0.1.0
  description: >-
    The versioned, public Aether REST API. Authenticate with an `aether_`
    platform API key or a session token.
servers:
  - url: https://api.runaether.dev/v1
security:
  - bearerAuth: []
paths:
  /mcp-servers/probe:
    post:
      tags:
        - mcp-servers
      summary: Probe how a remote MCP server authenticates
      description: >-
        Sends one MCP request to the URL and, on 401, discovers its OAuth
        protected-resource and authorization-server metadata. Only public https
        addresses are probed.
      operationId: probeMcpServer
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ProbeMcpServerRequest'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/McpServerProbeResponse'
          description: OK
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Bad Request
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Unauthorized
        '403':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/OrgAuthorizationErrorResponse'
          description: Forbidden
        '422':
          content:
            application/json:
              schema:
                anyOf:
                  - $ref: '#/components/schemas/ErrorResponse'
                  - $ref: '#/components/schemas/McpServerErrorResponse'
          description: Unprocessable Entity
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Internal Server Error
components:
  schemas:
    ProbeMcpServerRequest:
      additionalProperties: false
      properties:
        url:
          maxLength: 2048
          minLength: 1
          pattern: ^https://
          type: string
      required:
        - url
      type: object
    McpServerProbeResponse:
      additionalProperties: false
      properties:
        probe:
          discriminator:
            mapping:
              none:
                $ref: '#/components/schemas/McpServerProbeNone'
              oauth:
                $ref: '#/components/schemas/McpServerProbeOAuth'
              oauth_app_required:
                $ref: '#/components/schemas/McpServerProbeOAuthAppRequired'
              static_secret:
                $ref: '#/components/schemas/McpServerProbeStaticSecret'
            propertyName: kind
          oneOf:
            - $ref: '#/components/schemas/McpServerProbeNone'
            - $ref: '#/components/schemas/McpServerProbeStaticSecret'
            - $ref: '#/components/schemas/McpServerProbeOAuth'
            - $ref: '#/components/schemas/McpServerProbeOAuthAppRequired'
      required:
        - probe
      type: object
    ErrorResponse:
      additionalProperties: false
      properties:
        code:
          type: string
        error:
          minLength: 1
          type: string
        errors:
          items:
            $ref: '#/components/schemas/ErrorDetail'
          type: array
      required:
        - error
      type: object
    OrgAuthorizationErrorResponse:
      additionalProperties: false
      properties:
        code:
          enum:
            - org_membership_required
            - org_role_insufficient
            - org_suspended
            - account_deleting
          type: string
        error:
          minLength: 1
          type: string
      required:
        - error
        - code
      type: object
    McpServerErrorResponse:
      additionalProperties: false
      properties:
        code:
          enum:
            - mcp_server_key_invalid
            - mcp_server_key_reserved
            - mcp_server_key_taken
            - mcp_server_display_name_invalid
            - mcp_server_url_invalid
            - mcp_server_address_refused
            - mcp_server_unreachable
            - mcp_server_not_mcp
            - mcp_server_auth_unsupported
            - mcp_server_auth_discovery_failed
            - mcp_server_response_too_large
            - mcp_server_auth_change_conflict
            - mcp_credential_policy_required
            - mcp_credential_policy_not_applicable
            - mcp_credential_policy_org_unavailable
          type: string
        error:
          minLength: 1
          type: string
      required:
        - error
        - code
      type: object
    McpServerProbeNone:
      additionalProperties: false
      properties:
        kind:
          enum:
            - none
          type: string
      required:
        - kind
      type: object
    McpServerProbeOAuth:
      additionalProperties: false
      properties:
        issuer:
          minLength: 1
          type: string
        kind:
          enum:
            - oauth
          type: string
        registrations:
          items:
            enum:
              - cimd
              - dcr
            type: string
          minItems: 1
          type: array
      required:
        - kind
        - issuer
        - registrations
      type: object
    McpServerProbeOAuthAppRequired:
      additionalProperties: false
      properties:
        issuer:
          minLength: 1
          type: string
        kind:
          enum:
            - oauth_app_required
          type: string
      required:
        - kind
        - issuer
      type: object
    McpServerProbeStaticSecret:
      additionalProperties: false
      properties:
        kind:
          enum:
            - static_secret
          type: string
      required:
        - kind
      type: object
    ErrorDetail:
      additionalProperties: false
      properties:
        location:
          description: >-
            Where the error occurred, e.g. 'body.items[3].tags' or
            'path.thing-id'
          type: string
        message:
          description: Error message text
          type: string
        value:
          description: The value at the given location
      type: object
  securitySchemes:
    bearerAuth:
      bearerFormat: JWT
      scheme: bearer
      type: http

````